package com.ssj.service.conch.parents.dto;

import com.alibaba.fastjson.annotation.JSONField;
import com.ssj.service.kmt.dto.exercise.ExerciseQuestionAnswerValue;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 11:03 2020/4/21
 * @Modified By
 */
public class SprintSmallQuestionDto implements Serializable {
    private static final long serialVersionUID = 1L;

    private String questionImage;

    private String questionIndex;

    @JSONField(serialize = false)
    private String questionId;

    private List<ExerciseQuestionAnswerValue> questionJson;

    public String getQuestionId() {
        return questionId;
    }

    public void setQuestionId(String questionId) {
        this.questionId = questionId;
    }

    public String getQuestionImage() {
        return questionImage;
    }

    public void setQuestionImage(String questionImage) {
        this.questionImage = questionImage;
    }

    public String getQuestionIndex() {
        return questionIndex;
    }

    public void setQuestionIndex(String questionIndex) {
        this.questionIndex = questionIndex;
    }

    public List<ExerciseQuestionAnswerValue> getQuestionJson() {
        return questionJson;
    }

    public void setQuestionJson(List<ExerciseQuestionAnswerValue> questionJson) {
        this.questionJson = questionJson;
    }

    public void addQuestionJson(ExerciseQuestionAnswerValue questionJson) {
        if (this.questionJson == null){
            this.questionJson = new ArrayList<>();
        }
        this.questionJson.add(questionJson);
    }
}
